## dballe 4.0.2

=== doc/examples/Makefile ===
read_bufr: read_bufr.c
LDFLAGS=-ldballe-bufrex
