## dballe 2.6-1

=== debian/changelog ===
dballe (2.6-1) unstable; urgency=low

  * New upstream release
  * Build-depend on tetex-bin, tetex-extra and gs-common.  Closes: bug#393047.

 -- Enrico Zini <enrico@debian.org>  Sat, 14 Oct 2006 22:24:16 +0100

dballe (2.5-1) unstable; urgency=low

  * Initial upload.  Closes: bug#389776.

 -- Enrico Zini <enrico@debian.org>  Sat, 30 Sep 2006 17:42:22 +0200
