## dballe 3.6-1

=== debian/changelog ===
dballe (3.6-1) unstable; urgency=low

  * New upstream version
     + Builds on ARM
  * Various fixes in the Fortran API code and documentation

 -- Enrico Zini <enrico@debian.org>  Wed, 20 Jun 2007 19:42:07 +0100

dballe (3.4-1) unstable; urgency=low

  * New upstream version
     + Properly import and export synop high level stations
     + Improved database independence: now it can connect via ODBC to Postgres,
       SQLite and Oracle
  * Applied GVV 4.3 patch from tbm.  Closes: #417155.
  * Use ${binary:Version} instead of ${Source-Version}.  Closes: #414337.

 -- Enrico Zini <enrico@debian.org>  Wed, 23 May 2007 14:14:48 +0000

dballe (3.1-1) unstable; urgency=low

  * New upstream version
     + Moved provami into the package
     + Added dballe.volnd and dballe.rconvert Python modules
     + Improved C++ and Python bindings
  * Conflict with old libdballe-dev.  Closes: bug#411975.

 -- Enrico Zini <enrico@debian.org>  Wed, 28 Feb 2007 13:47:20 +0100

dballe (3.0.1-1) unstable; urgency=low

  * New upstream version
     + Fixed database export problems.
     + More control on database import: please see "dbadb help import" for a
       list of the new options

 -- Enrico Zini <enrico@debian.org>  Fri, 19 Jan 2007 00:22:52 +0100

dballe (3.0-1) unstable; urgency=low

  * New upstream version
     + Split the package in various libraries to allow use of just a part (for
       example, the BUFR or CREX encoder and decoder)
     + Much improved C API documentation
     + C++ interface
     + Python interface
     + Support for SQLite
     + BUFR importer can now parse compressed BUFR messages
     + Improved level and time range formatters
     + Redesigned the dba_file API
     + Allow to run all non-database tests, and run them when building the
       deb
     + Database support works on 64bit systems.  Closes: bug#405357.

 -- Enrico Zini <enrico@debian.org>  Thu, 21 Dec 2006 15:17:14 +0800
