=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,15 @@
 # Work around to latex2html bug #368693
 export RGBDEF=/usr/share/latex2html/styles/rgb.txt
 
-#DEB_MAKE_CHECK_TARGET := check
+DEB_MAKE_CHECK_TARGET := check
 #DEB_CONFIGURE_EXTRA_FLAGS += --disable-shared --with-pic
+#DEB_CONFIGURE_EXTRA_FLAGS += --enable-db-tests
+
+# From http://wiki.debian.org/DebianPython/NewPolicy
+binary-install/python-dballe::
+	dh_pycentral -ppython-dballe
+binary-install/provami::
+	dh_pycentral -pprovami
 
 # Store build information
 common-binary-post-install-arch common-binary-post-install-indep::
