## dballe 5.10

=== debian/changelog ===
dballe (5.10-1) unstable; urgency=low

  * New upstream release
     - in rare cases, SYNOP exports would select the wrong context for
       temperature exports, incorrectly exporting minimum or maximum
       temperatures instead
     - tweaked sounding group detection to deal with an obscure TEMP recently
       added to the test suite
     - make check works on sqlite
     - flight import/export: all data moved from station information level to
       flight level, to prevent overlaps for flights on different days at the
       same coordinates
     - Added variables B01006, B01023, B20042, B20043, B20044, B20045, B02064,
       B07010, B08009, B11031, B11037, B11039, B11075, B11076 and B11077 for
       GTS AMDAR reports
     - Make sure that height levels for flights are expressed in millimeters
       as documented
     - Initial support for importing/exporting experimental WMO ACARS
       templates
     - When scanning flight identification numbers, give preference to B01008
       over B01006
  * Avoid installing .la files and fixed doxygen dependencies, thanks to Luk
    Claes. Closes: #631898
  * Migrated to dh_python2. Closes: #616784
  * Depend on swig 2.0
  * Fixed timestamp syntax in old changelog entries
  * dballe-common: make arch:all
  * fixed lintian spellchecking errors in debian/control

 -- Enrico Zini <enrico@debian.org>  Thu, 29 Sep 2011 19:23:52 +0200

dballe (5.9-1) unstable; urgency=low

  * New upstream release
     - Preserve message type, subtype and localsubtype during template
       conversions
     - Added 'wmo' autodetection template
     - Deal with TEMPs with missing pressure in levels
     - Deal with missing sensor height in total precipitation when doing
       precise imports
     - Record keyword documentation is back
     - Fixed to fapi documentation

 -- Enrico Zini <enrico@debian.org>  Thu, 01 Sep 2011 17:24:27 +0100

dballe (5.8-1) unstable; urgency=low

  * New upstream release
     - revert height->heightstatin change in variable aliases

 -- Enrico Zini <enrico@debian.org>  Wed, 24 Aug 2011 11:35:43 +0200

dballe (5.7-1) unstable; urgency=low

  * New upstream version
     - ported to new wreport
  * Added dbamsg dump --dds
  * Added dbamsg dump --structured

 -- Enrico Zini <enrico@debian.org>  Thu, 09 Jun 2011 17:20:55 +0200

dballe (5.6-1) unstable; urgency=low

  * New upstream version
     - provami: fixed disappearing 00:00:00 time in date fields

 -- Enrico Zini <enrico@debian.org>  Tue, 19 Apr 2011 18:35:46 +0200

dballe (5.5-1) unstable; urgency=low

  * New upstream version
     - Fixed an issue with present but undefined values in the Fortran API
     - Local B table change: B22042->B22043 
     - Local B table change: removed B08001 (replaced with B08042)
       B08001 found in old generic BUFR messages will transparently be
       converted to B08042 on import.
     - Local B table change: removed B10009 GEOPOTENTIAL HEIGHT
       (redundant, since we already have B10008)
     - Lots of testing and fixes in WMO SYNOP templates import/export
     - TEMP templates: all pressure imports now use B10004 
     - Local B table change: B07001->B07030
     - Autodetect ECMWF/WMO template to use if not explicitly requested
     - Imported past weather time range now is 3h or 6h depending on the
       reference time hour
     - Precise import of ECMWF templates use standard SYNOP levels
     - Do not import undef attrs into Msg

 -- Enrico Zini <enrico@debian.org>  Sat, 05 Mar 2011 23:16:31 +0000

dballe (5.4-1) unstable; urgency=low

  * New upstream version
     - Improved TEMP sounding group identification
     - Show template numbers in bulletin exporter list

 -- Enrico Zini <enrico@debian.org>  Fri, 11 Feb 2011 13:56:34 +0000

dballe (5.3-1) unstable; urgency=low

  * New upsteam version
     - Implemented dbamsg dump --csv
     - Implemented dbamsg dump --csv --interpreted
     - New local B variable: 013002 MIXING RATIO
     - TEMP import tries to identify sounding groups and scan them in a
       smarter way
     - Also use new geopotential B code when looking for data exporting old
       pilots

 -- Enrico Zini <enrico@debian.org>  Fri, 04 Feb 2011 16:04:18 +0000

dballe (5.2-1) unstable; urgency=low

  * New upstream version
     - No transactions are left open (at least in the test suite)
     - Reenabled generation if Python API docs
     - Handle all 2:x:x as TEMPs
     - Command line tools now properly turn exceptions into errors
     - Ported rconvert to rpy2 
     - Fixed timeranges when importing synops
     - In fortran message API, treat levels and time ranges that are not set
       as "missing" instead of "leave as they were before"
     - In fortran message API, fixed bug whereby it would fail to advance from
       the last subset to the next message
     - Fixed formatting of time ranges
     - Fixed dbamsg dump --text
     - Instant time range is now 254,0,0
     - Messages with ECMWF templates are created with old version of tables
     - Implemented message filters for all commands where it makes sense

 -- Enrico Zini <enrico@debian.org>  Thu, 18 Nov 2010 14:13:13 +0000

dballe (5.1-1) unstable; urgency=low

  * New upstream version
     - Handle negative priorities
     - voglioquesto in fortran msgapi moves to the next subset, or the next
       message when there are no more subsets

 -- Enrico Zini <enrico@debian.org>  Mon, 25 Oct 2010 17:05:25 +0200

dballe (5.0-1) unstable; urgency=low

  * New upstream version
     - Rewritten in C++
     - The dballe++ module has been removed (now everything is in C++)
     - BUFR/CREX functions have been split into a separate wreport library
     - Bumped libdballe soname as ABI is now obviously different
     - Fortran ABI is unchanged, so we still have libdballef4

 -- Enrico Zini <enrico@debian.org>  Mon, 27 Sep 2010 20:12:28 +0100

dballe (4.0.19-1) unstable; urgency=low

  * Smarter lookup of tables, with fallback on standard WMO tables

