## dballe 5.18

=== debian/changelog ===
dballe (5.18-1) unstable; urgency=low

  * New upstream release
     - 1:255:12 and 1:255:14 now recognised as ships
     - fixed AIX-compatibility intexp10 in pollution importers/exporters
     - help swig pattern match Varcode lists correctly, so that Python
       bindings now work also for attribute management
  * Added Vcs-Svn header
  * Updated standards-version, no changes needed

 -- Enrico Zini <enrico@debian.org>  Wed, 16 May 2012 20:47:22 +0200

dballe (5.17-1) unstable; urgency=low

  * New upstream release
     - various python bindings cleanups
     - wrapped record.parse_date_extremes

 -- Enrico Zini <enrico@debian.org>  Mon, 14 May 2012 16:26:34 +0200

dballe (5.16-1) unstable; urgency=low

  * New upstream release
     - fixed dbadb --report: the option had no effect
     - fixed B01194 appearing twice in exported generic messages

 -- Enrico Zini <enrico@debian.org>  Wed, 15 Feb 2012 22:03:02 +0100

dballe (5.15-1) unstable; urgency=low

  * New upstream release
     - added a missing m4 dependency
     - fortran api: ana_id is not automatically reset after a prendilo. It is
       still automatically reset after setting latitude or longitude
     - added dbadb --wipe-first
     - when DBA_INSECURE_SQLITE is set to anything, sqlite is initialised with
       directives making it very fast, but losing any data integrity in case
       of errors

 -- Enrico Zini <enrico@debian.org>  Wed, 18 Jan 2012 18:50:59 +0100

dballe (5.14-1) unstable; urgency=low

  * New upstream release
     - dbatbl: fixed format formatting when len < scale

 -- Enrico Zini <enrico@debian.org>  Tue, 18 Oct 2011 11:27:24 +0200

dballe (5.13-1) unstable; urgency=low

  * New upstream release
     - dbadb import now accepts --precise and -t csv

 -- Enrico Zini <enrico@debian.org>  Thu, 13 Oct 2011 10:36:00 +0200

dballe (5.12-1) unstable; urgency=low

  * New upstream release
     - clear old vars on Cursor::to_record
     - fixed compiler errors when building without Lua
     - prevent compiler flags to end up in dependencies in tools/Makefile.am
     - dbamsg convert: documented 'csv' as a valid input type

 -- Enrico Zini <enrico@debian.org>  Thu, 06 Oct 2011 13:11:36 +0200

dballe (5.11-1) unstable; urgency=low

  * New upstream release
     - workaround to be able to build on swig 1.3 with newer gcc
     - added dbamsg convert --recompute-categories

 -- Enrico Zini <enrico@debian.org>  Wed, 05 Oct 2011 18:04:07 +0200

dballe (5.10-1.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's agreement:
     - Depend on python-wxgtk2.8 instead of python-wxgtk2.6. Closes: #645626

 -- Olly Betts <olly@survex.com>  Sun, 06 Nov 2011 14:45:33 +0000
