=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
   libtut-dev, libwibble-dev,
   doxygen-latex, ghostscript,
   swig (>= 2.0), python-all-dev (>= 2.6.6-3~), python-docutils, python-numpy
-Standards-Version: 3.9.1.0
+Standards-Version: 3.9.3.0
 X-Python-Version: >= 2.3
 Homepage: http://www.arpa.emr.it/dettaglio_documento.asp?id=514&idlivello=64
+Vcs-Svn: https://svn.smr.arpa.emr.it/dballe/dballe/trunk
 
 Package: libdballe-dev
 Section: libdevel
@@ -158,7 +159,7 @@
 Package: provami
 Section: misc
 Architecture: all
-Depends: python-dballe, python-wxgtk2.6, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: python-dballe, python-wxgtk2.8, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Suggests: python-rpy2
 XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
