## dballe 6.8

=== debian/changelog ===
dballe (6.8-1) unstable; urgency=low

  * New upstream release
     - several bug and documentation fixes
     - new fortran API: unsetb
     - if DBALLE_TRACE_FORTRAN is set to a file name, a trace of fortran API
       calls will be written to it to assist in filing bug reports
     - new fortran APIs: idba_messages_open_input, idba_messages_open_output,
       idba_messages_read_next, idba_messages_write_next
     - work around getting rowcount bug in new MariaDB
     - do not build/package provami, since I am unable to maintain the
       old wxPytyhon codebase and a QT rewrite is in progress. Closes: #759043.
       Thanks Olly Betts <olly@survex.com> for patches in the meantime.
     - improvements to dballe::Record's API
     - run with autoreconf. Closes: #744563.
     - updated standards-version, no changes required.

 -- Enrico Zini <enrico@debian.org>  Sun, 05 Oct 2014 12:00:25 +0200

dballe (6.6-1) UNRELEASED; urgency=low

  * New upstream release
     - added a third database type: "mem:", which uses in-memory data
       structures instead of a SQL database
     - removed unused support for attr=add in Fortran API
     - removed obsolete support for rep_cod
     - removed need of having mobile=1 when inserting a mobile station. The
       presence of 'ident' is enough to know that the station is mobile
     - implemented var= and varlist= support for quantesono/query_stations
     - added support for Lua 5.2

 -- Enrico Zini <enrico@debian.org>  Wed, 06 Nov 2013 12:01:35 +0100

dballe (6.5-1) unstable; urgency=low

  * New upstream release
     - clarified and remplemented the meaning of data_filter
     - auto-insert new rep_memo values when importing data, if they are
       missing from the database
     - work around SQL having undefined behaviour with NULLs on an UNIQUE
       index. You need to run the following query to fix existing v6
       databases: UPDATE data SET id_lev_tr=-1 WHERE id_lev_tr IS NULL

 -- Enrico Zini <enrico@debian.org>  Wed, 30 Oct 2013 17:28:42 +0100

dballe (6.4-1) unstable; urgency=low

  * New upstream release
     - changed SQLite queries to avoid losing existing values when overwriting
       a data value

 -- Enrico Zini <enrico@debian.org>  Wed, 30 Oct 2013 17:21:22 +0100

dballe (6.3-1) unstable; urgency=low

  * New upstream release
     - refactored cursor+querybuilder for v6 databases
     - do not leave SQL_TIMESTAMP_STRUCT.fraction uninitialised, which caused
       duplicate imports in some cases
     - fortran message api: deal gracefully with uninterpretable messaes
     - fixed data overwrite on V6 databases
     - provami: documented the possibility of passing initial key=val filters
       on command line

 -- Enrico Zini <enrico@debian.org>  Tue, 03 Sep 2013 18:51:00 +0200

dballe (6.2-1) UNRELEASED; urgency=low

  * New upstream release
     - postgresql fixes
     - accept hypens as MISSING_INT

 -- Enrico Zini <enrico@debian.org>  Fri, 24 May 2013 17:43:49 +0200

dballe (6.1-1) UNRELEASED; urgency=low

  * New upstream release
     - python: allow levels and time ranges to be set to None
     - provami: filtering by one station doesn't raise a SQL exception anymore

 -- Enrico Zini <enrico@debian.org>  Fri, 24 May 2013 17:43:49 +0200

dballe (6.0-1) UNRELEASED; urgency=low

  * New upstream release
     - new, faster database layout
     - old layout still supported for existing databases
     - changes to C++ and Python API to make it possible to have multiple
       database engines
     - Python API redesigned from scratch with clean, hand-written, documented
       bindings
     - support for WMO SHIP messages
  * Updated sonames
  * Removed dependency on swig

 -- Enrico Zini <enrico@debian.org>  Wed, 20 Mar 2013 16:06:42 +0100

dballe (5.23-1) UNRELEASED; urgency=low

  * New upstream release
     - added --rejected=filename option to dbamsg and dbadb
     - dbamsg convert -o/--output

 -- Enrico Zini <enrico@debian.org>  Wed, 20 Mar 2013 16:06:42 +0100

dballe (5.22-1) UNRELEASED; urgency=low

  * New upstream release
     - tests and fixed for WMO pilot import/export

 -- Enrico Zini <enrico@debian.org>  Tue, 24 Jul 2012 14:55:07 +0200

dballe (5.21-1) UNRELEASED; urgency=low

  * New upstream release
     - support for reading and writing WMO PILOT messages

 -- Enrico Zini <enrico@debian.org>  Tue, 05 Jun 2012 12:33:32 +0200

dballe (5.20-1) UNRELEASED; urgency=low

  * New upstream release
     - low-level ODBC test suite
     - removed ODBC workarounds, which used features not supported by
       "industry leader" Oracle

 -- Enrico Zini <enrico@debian.org>  Tue, 05 Jun 2012 12:33:32 +0200

dballe (5.19-1) UNRELEASED; urgency=low

  * New upstream release
     - dbadb import --fast disables journals and flushes in sqlite (same as
       setting DBA_INSECURE_SQLITE)
     - provami works with rpy and rpy2

 -- Enrico Zini <enrico@debian.org>  Tue, 05 Jun 2012 12:33:32 +0200
