=== debian/control ===
--- 
+++ 
@@ -2,22 +2,21 @@
 Section: misc
 Priority: optional
 Maintainer: Enrico Zini <enrico@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
-  pkg-config,
-  libwreport-dev (>= 2.0), libpopt-dev, unixodbc-dev, gperf, liblua5.1-0-dev,
+Build-Depends: debhelper (>= 9), dh-python, dh-autoreconf,
+  autotools-dev, pkg-config,
+  libwreport-dev (>= 2.9), libpopt-dev, unixodbc-dev, gperf, liblua5.1-0-dev,
   libcnf-dev, gfortran | g77,
   libtut-dev, libwibble-dev,
   doxygen-latex, ghostscript,
-  swig (>= 2.0), python-all-dev (>= 2.6.6-3~), python-docutils, python-numpy
-Standards-Version: 3.9.3.0
-X-Python-Version: >= 2.3
+  python-all-dev, python-docutils, python-numpy
+Standards-Version: 3.9.6.0
 Homepage: http://www.arpa.emr.it/dettaglio_documento.asp?id=514&idlivello=64
 Vcs-Svn: https://svn.smr.arpa.emr.it/dballe/dballe/trunk
 
 Package: libdballe-dev
 Section: libdevel
 Architecture: any
-Depends: libdballe5 (= ${binary:Version}), ${misc:Depends}
+Depends: libdballe6 (= ${binary:Version}), ${misc:Depends}
 Recommends: pkg-config
 Conflicts: libdballe-core-dev, libdballe-bufrex-dev, libdballe-msg-dev, libdballe-db-dev
 Description: DB-All.e C development library for weather research
@@ -56,7 +55,7 @@
  .
  This is the documentation for the DB_All.e development the library.
 
-Package: libdballe5
+Package: libdballe6
 Section: libs
 Architecture: any
 Depends: dballe-common, ${shlibs:Depends}, ${misc:Depends}
@@ -118,6 +117,7 @@
 Section: misc
 Architecture: any
 Depends: dballe-common, ${shlibs:Depends}, ${misc:Depends}
+Recommends: python-dballe
 Description: Database for punctual meteorological data (Command line tools)
  DB-All.e is a fast on-disk database where meteorological observed and
  forecast data can be stored, searched, retrieved and updated.
@@ -155,16 +155,3 @@
     from soundings and airplanes.
   * Report information is preserved. It can work based on physical
     parameters or on report types.
-
-Package: provami
-Section: misc
-Architecture: all
-Depends: python-dballe, python-wxgtk2.8, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Suggests: python-rpy2
-XB-Python-Version: ${python:Versions}
-Provides: ${python:Provides}
-Description: Graphical interface to DB-All.e databases
- provami is a GUI application to visualise and navigate DB-All.e databases.
- .
- It also allows one to perform simple editing tasks, and to graphically select
- and export data subsets.
