=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export RGBDEF=/usr/share/latex2html/styles/rgb.txt
 
 %:
-	dh --with python2 $@
+	dh --with autoreconf,python2 $@
 
 
 # DEB_PYTHON2_MODULE_PACKAGES := provami
@@ -28,8 +28,8 @@
 	# Build and install the python bindings for each different python version
 	for ver in `pyversions -vr`; do \
 		dh_auto_configure -- PYTHON=/usr/bin/python$$ver ; \
-		make clean -C swig ; \
-		make install -C swig DESTDIR=`pwd`/debian/tmp ; \
+		make clean -C python ; \
+		make install -C python DESTDIR=`pwd`/debian/tmp ; \
 	done
 	# Remove python modules .la files
 	rm -f debian/tmp/usr/lib/python*/dist-packages/*.la
